Returns the prospect with the supplied ID along with IDs of its associated analyses.
Security
bearer and appkey
- https://eu-api.delfi.slb.com/sparhttps://eu-api.delfi.slb.com/spar/assessments/v1/prospects/{id}
- Mock serverhttps://developer.slb.com/_mock/solutions/opportunity-assessor/apis/data-search/assessments/v1/prospects/{id}
curl -i -X GET \
'https://eu-api.delfi.slb.com/spar/assessments/v1/prospects/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-contract-id: My-contract-ID'OK
childrenArray of objects(FolderDto)
Child folders.
analysisArray of objects(FolderAnalysisDto)
Analyses associated with this folder.
ID of the parent folder. 0 if the parent folder is a root-level basin.
Response
{
"id": 0,
"name": "string",
"hasPolygon": true,
"children": [
{
"id": 0,
"name": "string",
"type": "string",
"hasPolygon": true,
"children": [
{}
],
"analysis": [
{
"id": 0,
"name": "string",
"type": "string",
"modifiedDate": "2019-08-24T14:15:22Z",
"modifiedUserName": "string",
"modifiedRealName": "string",
"version": "s",
"isExternal": true
}
],
"parentFolderId": 0
}
],
"analysis": [
{
"id": 0,
"name": "string",
"type": "string",
"modifiedDate": "2019-08-24T14:15:22Z",
"modifiedUserName": "string",
"modifiedRealName": "string",
"version": "s",
"isExternal": true
}
],
"parentFolderId": 0,
"type": "string"
}